Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 117671

Summary: /usr/local/share/applications is not merged by default
Product: [Fedora] Fedora Reporter: Mike Hearn <mike>
Component: redhat-menusAssignee: Ray Strode [halfline] <rstrode>
Status: CLOSED RAWHIDE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: bclark, marius.andreiana, robertminsk
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-02-02 02:01:11 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 150221    

Description Mike Hearn 2004-03-06 21:52:19 UTC
Summary says it all really. Software installed from the source will by
default puts its .desktop files into /usr/local/share/applications,
which are not merged in the default FC1 menu setup. Why is this the case?

Comment 1 Bryan W Clark 2004-12-01 21:00:38 UTC
Mike, this should be fixed by now, can you confirm it still doesn't work?

Comment 2 Mike Hearn 2004-12-02 15:26:13 UTC
Fixed in FC3 or Rawhide?

Comment 3 Bryan W Clark 2005-01-05 20:14:32 UTC
Rawhide

Does 
<LegacyDir>/usr/local/share/applications</LegacyDir>

fix this when added to /etc/xdg/menus/applications.menu

Comment 4 Mike Hearn 2005-01-06 12:14:02 UTC
No that doesn't do what you want, it should be merged the same way
that /usr/share/applications is.

<LegacyDir> is about Windows/KDE2 style menu layouts where the
directories and files defined how it looks.
/usr/local/share/applications is just a directory in which you dump
arbitrary .desktop files

Comment 5 Ray Strode [halfline] 2005-05-11 22:13:00 UTC
Fedora Core 1 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Comment 6 Mike Hearn 2005-05-11 22:49:35 UTC
Still no <MergedDir> for /usr/local/share/applications ....

Comment 7 Robert Minsk 2005-09-14 19:56:49 UTC
<MergeDir> will not work.  <MergeDir> only looks for .menu files and not
.desktop files.  I guess you would want is
<AppDir>/usr/local/share/applications</AppDir>.

You could get the desired effect by adding
/etc/xdg/menus/applications-merged/local.menu:
<!DOCTYPE Menu PUBLIC "-//freedesktop//DTD Menu 1.0//EN"
 "http://www.freedesktop.org/standards/menu-spec/1.0/menu.dtd">
<Menu>
 <AppDir>/usr/local/share/applications</AppDir>
 <DirectoryDir>/usr/local/share/desktop-directories</Directory>
 <MergeDir>/usr/local/share/menus</MergeDir>
</Menu>

Comment 8 Marius Andreiana 2005-11-03 09:59:10 UTC
Ray, this is an easyfix, please implement before FC5 test 1 this month.

Thanks!

Comment 9 Ray Strode [halfline] 2005-11-03 19:48:01 UTC
Hi Marius,

This should definitely get looked at before FC5 is released.  Not sure about
before test1.

Comment 10 Ray Strode [halfline] 2006-02-02 02:01:11 UTC
Hey guys,

I think this should be fixed in tomorrow's rawhide.  If it's not, please reopen.